gstreamermm: Gst::SystemClock Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::SystemClock Class Reference

A default clock that uses the current system time. More...

Inheritance diagram for Gst::SystemClock:
[legend]
Collaboration diagram for Gst::SystemClock:
[legend]

List of all members.

## Public Member Functions
virtual | ~SystemClock ()
GstSystemClock* | gobj ()
| Provides access to the underlying C GObject.
const GstSystemClock* | gobj () const
| Provides access to the underlying C GObject.
GstSystemClock* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< Gst::Clock > | obtain ()
| Get a handle to the default system clock.
## Protected Member Functions
| SystemClock ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::SystemClock > | wrap (GstSystemClock* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A default clock that uses the current system time.

The GStreamer core provides a Gst::SystemClock based on the system time. Asynchronous callbacks are scheduled from an internal thread.

Gst::Clock implementors are encouraged to subclass this systemclock as it implements the async notification.

Subclasses can however override all of the important methods for sync and async notifications to implement their own callback methods or blocking wait operations.

Last reviewed on 2006-03-08 (0.10.4)

## Constructor & Destructor Documentation

virtual Gst::SystemClock::~SystemClock | ( |  | ) | `[virtual]`

Gst::SystemClock::SystemClock | ( |  | ) | `[protected]`

## Member Function Documentation

GstSystemClock* Gst::SystemClock::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Clock.

Reimplemented in Gst::AudioClock.

const GstSystemClock* Gst::SystemClock::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Clock.

Reimplemented in Gst::AudioClock.

GstSystemClock* Gst::SystemClock::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Clock.

Reimplemented in Gst::AudioClock.

static Glib::RefPtr<Gst::Clock> Gst::SystemClock::obtain | ( |  | ) | `[static]`

Get a handle to the default system clock.

The refcount of the clock will be increased so you need to unref the clock after usage.

Returns:
  The default clock.

MT safe.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::SystemClock > wrap | ( | GstSystemClock * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/systemclock.h